From 58d23bacd6c92e1592395a439e5ba2d33a1bb508 Mon Sep 17 00:00:00 2001
From: Adar Nimrod <nimrod@shore.co.il>
Date: Tue, 13 Jun 2017 16:26:56 +0300
Subject: [PATCH] - Added a specific test for empty patch (changed the no
 confict test to have a patch).

---
 tests/merge-conflict.bats | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/tests/merge-conflict.bats b/tests/merge-conflict.bats
index cf2dd0b..f2af693 100755
--- a/tests/merge-conflict.bats
+++ b/tests/merge-conflict.bats
@@ -13,6 +13,9 @@ export repo="$BATS_TMPDIR/testrepo"
         git commit -m "Initial commit."
         git checkout -b master2
         git checkout -b no-conflict
+        echo 1 > file2
+        git add file2
+        git commit -m "Another not-conflicting commit."
         git checkout -b conflict
         echo 2 > file
         git commit file -m "Conflict with master."
@@ -40,6 +43,12 @@ export repo="$BATS_TMPDIR/testrepo"
     merge-conflict master2
 }
 
+@test "Empty patch" {
+    cd "$repo"
+    git checkout master2 || true
+    merge-conflict
+}
+
 @test "Conflict" {
     cd "$repo"
     git checkout conflict || true
-- 
GitLab